Subject: Re: bug#17030: CEDET EDE documentation mentions android project, but not in tree

From: David Engster <[email-masked]>
Date: Thu, 20 Mar 2014 17:45:16 +0100

Dmitry Gutov writes:
> On 18.03.2014 10:19, David Engster wrote:
>
>> That doesn't work because there are not enough CEDET developers. Our
>> resources are stretched thin with maintaining the stuff that is already
>> in Emacs, so I'm not inclined to merge more, largely untested code which
>> I myself don't use.
>
> I see. But why not merge db-javap.el, at least? And maybe related code.

Do you use it? Last time I tried it (2012 or so), Java support had lots
of problems.

> Do you think Alex isn't going to support it?

I don't know. From what I can see in the logs, work on it has stalled.

>> whoever wants to maintain the Android
>> project should make sure the head of the FSF is OK with it being in
>> Emacs, and I can't imagine anyone eager to start that discussion...
>
> I think CEDET really needs to move to ELPA.

Maybe. That'd be worth discussing as soon as someone volunteers to do
the work.

-David